Bug 190984 - [PATCH] irc/miau: change maintainer, update USES, convert to optionsNG
Summary: [PATCH] irc/miau: change maintainer, update USES, convert to optionsNG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-12 23:54 UTC by Daniel Austin
Modified: 2014-08-15 09:31 UTC (History)
1 user (show)

See Also:


Attachments
20140613-miau.diff (1.16 KB, patch)
2014-06-12 23:54 UTC, Daniel Austin
no flags Details | Diff
updated after a couple of blanket changes by portmgr@ (1.04 KB, patch)
2014-08-03 14:19 UTC, Daniel Austin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Austin 2014-06-12 23:54:08 UTC
Created attachment 143725 [details]
20140613-miau.diff

Change maintainer
	Update USES
	Convert to optionsNG
	Implement PORTDOCS
	Add option for IPv6 only support

Fix:
CC'd current maintainer for approval

Tested with poudriere - logs at http://poudriere.dan.tm/latest-per-pkg/miau/0.6.6_1/
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-06-13 04:42:57 UTC
Over to current maintainer.
Comment 2 Daniel Austin 2014-08-03 14:19:19 UTC
Created attachment 145302 [details]
updated after a couple of blanket changes by portmgr@

updated after a couple of blanket changes by portmgr@ that prevented patching with the original patch.
Comment 3 John Marino freebsd_committer 2014-08-14 23:15:53 UTC
timed out, give maintainership to submitter.  dhn@ hss been inactive for several months and some of his ports have already been reset.
Comment 4 John Marino freebsd_committer 2014-08-15 09:22:36 UTC
the maintainer change is wrong, it's half your address and half freebsd address, fixing.
Comment 5 commit-hook freebsd_committer 2014-08-15 09:30:47 UTC
A commit references this bug:

Author: marino
Date: Fri Aug 15 09:30:13 UTC 2014
New revision: 364952
URL: http://svnweb.freebsd.org/changeset/ports/364952

Log:
  irc/miau: Fix IPv6 option, reassign maintainer to submitter

  Whle here, de-indent most of the Makefile and fix DOCS option too.

  PR:		190984
  Submitted by:	Daniel Austin
  Approved by:	maintainer timeout (2 months)

Changes:
  head/irc/miau/Makefile
Comment 6 John Marino freebsd_committer 2014-08-15 09:31:14 UTC
done!